FLTK 1.4.4

Loading...
Searching...
No Matches
Fl_Menu_Item.H File Reference
`#include <FL/Fl_Widget.H>`
`#include <FL/Fl_Image.H>`
`#include <FL/Fl_Multi_Label.H>`
`#include <FL/platform_types.h>`

Go to the source code of this file.

## Classes
struct | Fl_Menu_Item
| The Fl_Menu_Item structure defines a single menu item that is used by the Fl_Menu_ class. More...

## Typedefs
typedef Fl_Menu_Item | Fl_Menu

## Enumerations
enum | { FL_MENU_INACTIVE = 1 , FL_MENU_TOGGLE = 2 , FL_MENU_VALUE = 4 , FL_MENU_RADIO = 8 , FL_MENU_INVISIBLE = 0x10 , FL_SUBMENU_POINTER = 0x20 , FL_SUBMENU = 0x40 , FL_MENU_DIVIDER = 0x80 , FL_MENU_HORIZONTAL = 0x100 }
enum | { FL_PUP_NONE = 0 , FL_PUP_GREY = FL_MENU_INACTIVE , FL_PUP_GRAY = FL_MENU_INACTIVE , FL_MENU_BOX = FL_MENU_TOGGLE , FL_PUP_BOX = FL_MENU_TOGGLE , FL_MENU_CHECK = FL_MENU_VALUE , FL_PUP_CHECK = FL_MENU_VALUE , FL_PUP_RADIO = FL_MENU_RADIO , FL_PUP_INVISIBLE = FL_MENU_INVISIBLE , FL_PUP_SUBMENU = FL_SUBMENU_POINTER }

## Functions
Fl_Shortcut | fl_old_shortcut (const char *)
| Emulation of XForms named shortcuts.

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
FL_MENU_INACTIVE | Deactivate menu item (gray out).
FL_MENU_TOGGLE | Item is a checkbox toggle (shows checkbox for on/off state).
FL_MENU_VALUE | The on/off state for checkbox/radio buttons (if set, state is 'on').
FL_MENU_RADIO | Item is a radio button (one checkbox of many can be on).
FL_MENU_INVISIBLE | Item will not show up (shortcut will work).
FL_SUBMENU_POINTER | Indicates user_data() is a pointer to another menu array.
FL_SUBMENU | Item is a submenu to other items.
FL_MENU_DIVIDER | Creates divider line below this item. Also ends a group of radio buttons.
FL_MENU_HORIZONTAL | ? ?? – reserved, internal (do not use) Note: ALL other bits in `flags` are reserved: do not use them for your own purposes!